---
title: "Bulk job tracking all job details"
slug: "bulk-job-tracking-all-job-details"
updated: 2025-07-21T18:55:46Z
published: 2025-07-21T18:55:54Z
canonical: "docs.neeve.ai/bulk-job-tracking-all-job-details"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt
> Use this file to discover all available pages before exploring further.
# Bulk job tracking all job details
Get/api/v1/bulk-job
SecurityHTTPType bearer
Query parameterstimezonestring
The timezone to use for the response
statusstring
Filter jobs by status. Available values are: 'ALL','SUCCESS', 'FAILED', 'INPROGRESS', 'PARTIAL_SUCCESS', 'INVALID' example: ALL
grouparray of string
Filter jobs by job by it's group. Available types are: 'user', 'device'
jobTypearray of string
Filter jobs by job type. Available types are: 'user_create', 'user_edit', 'device_create', 'device_edit'
fromstring
The earliest date to search in jobs. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)
Example2023-09-15T01:00:35+0000
tostring
The latest date to search in jobs. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)
Example2023-09-15T11:59:35+0000
sortarray of string
Sorting criteria in the format: field:asc|desc, field defaults to whenCreated defaults to DESC. Example fields are: ['whenCreated']
DefaultwhenCreated:DESCExample[
"whenCreated:desc"
]
Responses200
OK
Expand Allobject authorizationboolean
dataobject jobs Array of object (DataObject) object countobject failedinteger
successinteger
totalinteger
jobIdinteger
organizationobject idstring
levelinteger
namestring
statusstring
timezonestring
typestring
whenChangedstring
whenCreatedstring
error_codeinteger
error_messagestring
error_statusboolean Examplefalse
401
Unauthorized
Expand Allobject authorizationboolean Exampletrue
dataobject messagestring
error_codeinteger | null
error_messagestring | null
error_statusboolean
422
Unprocessable Entity
Expand Allobject authorizationboolean Exampletrue
dataobject messagestring
error_codeinteger | null
error_messagestring | null
error_statusboolean